Subject: Re: powerpc/44x/bamboo: Fix PCI range

From: Michael Ellerman <[email-masked]>
Date: Sat, 22 Dec 2018 20:54:43 +1100 (AEDT)

On Tue, 2018-12-11 at 02:27:33 UTC, Benjamin Herrenschmidt wrote:
> >From 88509506b80b4960004146280eb740be64513a0b Mon Sep 17 00:00:00 2001
> The bamboo dts has a bug: it uses a non-naturally aligned range
> for PCI memory space. This isnt' supported by the code, thus
> causing PCI to break on this system.
> 
> This is due to the fact that while the chip memory map has 1G
> reserved for PCI memory, it's only 512M aligned. The code doesn't
> know how to split that into 2 different PMMs and fails, so limit
> the region to 512M.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/3cfb9ebe906b51f2942b1e251009bb

cheers